package com.tidspr.tsr.entity;


import javax.jdo.annotations.IdGeneratorStrategy;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;

import com.google.appengine.api.datastore.Key;
import com.google.appengine.api.datastore.Text;

@PersistenceCapable
public class Diff
{
    public String html()
    {
        return html.getValue();
    }
    public Key key()
    {
        return key;
    }
    public void key(final Key key)
    {
        this.key = key;
    }
    public String wiki()
    {
        return wiki;
    }

    public Diff(final String wiki, final String html)
    {
        this.html = new Text(html);
        this.wiki = wiki;
    }

    @Persistent
    private Text html;
    @PrimaryKey
    @Persistent(valueStrategy = IdGeneratorStrategy.IDENTITY)
    private Key key;
    @Persistent
    private String wiki;
}
