package com.tidspr.tsr.entity;

import javax.jdo.annotations.IdGeneratorStrategy;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;

import com.google.appengine.api.datastore.Blob;
import com.google.appengine.api.datastore.Key;

@PersistenceCapable
public class File
{
    public Blob blob()
    {
        return this.data;
    }

    public Key key()
    {
        return key;
    }

    public void key(final Key key)
    {
        this.key = key;
    }

    public String name()
    {
        return this.name;
    }

    public String type()
    {
        return this.type;
    }

    public String wiki()
    {
        return wiki;
    }

    public File(final String n, final Blob b, final String t, final String w)
    {
        this.name = n;
        this.data = b;
        this.type = t;
        this.wiki = w;
    }

    @Persistent
    private Blob data;

    @PrimaryKey
    @Persistent(valueStrategy = IdGeneratorStrategy.IDENTITY)
    private Key key;

    @Persistent
    private String name;

    @Persistent
    private String type;

    @Persistent
    private String wiki;

}
