package com.tidspr.tsr.io;

import javax.jdo.JDOObjectNotFoundException;
import javax.jdo.PersistenceManager;

import com.google.appengine.api.datastore.Key;
import com.google.appengine.api.datastore.KeyFactory;
import com.tidspr.tsr.entity.Diff;
import com.tidspr.tsr.factory.PMF;

public class DiffIO {
	private static final long serialVersionUID = 1L;
	
	public static Diff readDiff(String name){
        final PersistenceManager pm = PMF.get().getPersistenceManager();
        com.tidspr.tsr.entity.Diff _or;
        final Key k = KeyFactory.createKey(Diff.class.getSimpleName(), name);
        try
        {// swith with try~catch. not proper
            _or = pm.getObjectById(com.tidspr.tsr.entity.Diff.class, k);
        }
        catch (final JDOObjectNotFoundException e)
        {
            _or = null;
        }
        return _or;
	}
	
	public static void writeDiff(String name,String html){
        final PersistenceManager pm = PMF.get().getPersistenceManager();
        final Key k = KeyFactory.createKey(Diff.class.getSimpleName(), name);
        Diff _d = new Diff(name, html);
        _d.key(k);
        pm.makePersistent(_d);
        pm.flush();
	}
}
