package com.tidspr.tsr.io;

import javax.jdo.JDOObjectNotFoundException;
import javax.jdo.PersistenceManager;

import com.google.appengine.api.datastore.Blob;
import com.google.appengine.api.datastore.Key;
import com.google.appengine.api.datastore.KeyFactory;
import com.tidspr.tsr.entity.File;
import com.tidspr.tsr.factory.PMF;

public class FileIO {
	
	public static com.tidspr.tsr.entity.File readFile(String name){
        final PersistenceManager pm = PMF.get().getPersistenceManager();
        final Key k = KeyFactory.createKey(com.tidspr.tsr.entity.File.class.getSimpleName(), name);
        File fi;
        try
        {// switch with try ~ catch. not proper
            fi = pm.getObjectById(com.tidspr.tsr.entity.File.class, k);
        }
        catch (final JDOObjectNotFoundException e)
        {
            fi = null;
        }
        return fi;
	}
	
	public static void writeFile(String na, Blob bl, String co, String wi ){
        final File f = new File(na, bl, co, wi);
        final Key k = KeyFactory.createKey(com.tidspr.tsr.entity.File.class.getSimpleName(), wi + "/" + na);
        f.key(k);
        final PersistenceManager pm = PMF.get().getPersistenceManager();
        pm.makePersistent(f);
        pm.close();
	}
}
