package com.tidspr.tsr.io;

import javax.jdo.JDOObjectNotFoundException;
import javax.jdo.PersistenceManager;

import com.google.appengine.api.datastore.Key;
import com.google.appengine.api.datastore.KeyFactory;
import com.tidspr.tsr.entity.Site;
import com.tidspr.tsr.factory.PMF;

public class SiteIO {
	private static final long serialVersionUID = 1L;
	
	public static Site readSite(){
        final PersistenceManager pm = PMF.get().getPersistenceManager();
        com.tidspr.tsr.entity.Site _site;
        final Key k = KeyFactory.createKey(Site.class.getSimpleName(), "sitename");
        try
        {// swith with try~catch. not proper
            _site = pm.getObjectById(com.tidspr.tsr.entity.Site.class, k);
        }
        catch (final JDOObjectNotFoundException e)
        {
            _site = null;
        }
        return _site;
	}
	
	public static void writeSite(String siteName){
        final PersistenceManager pm = PMF.get().getPersistenceManager();
        final Key k = KeyFactory.createKey(Site.class.getSimpleName(), "sitename");
        Site _site = new Site(siteName);
        _site.key(k);
        pm.makePersistent(_site);
        pm.flush();
	}
}
