package com.tidspr.tsr.io;

import javax.jdo.JDOObjectNotFoundException;
import javax.jdo.PersistenceManager;

import com.google.appengine.api.datastore.Key;
import com.google.appengine.api.datastore.KeyFactory;
import com.google.appengine.api.datastore.Text;
import com.tidspr.tsr.entity.Tidder;
import com.tidspr.tsr.factory.PMF;

public class TidderIO {
	
	public static Tidder readTidder(String name){
        final PersistenceManager pm = PMF.get().getPersistenceManager();
        com.tidspr.tsr.entity.Tidder _or;
        final Key k = KeyFactory.createKey(Tidder.class.getSimpleName(), name);
        try
        {// swith with try~catch. not proper
            _or = pm.getObjectById(com.tidspr.tsr.entity.Tidder.class, k);
        }
        catch (final JDOObjectNotFoundException e)
        {
            _or = null;
        }
        return _or;
	}
	
	public static void writeTidder(String name,String raw){
        final PersistenceManager pm = PMF.get().getPersistenceManager();
        final Key k = KeyFactory.createKey(Tidder.class.getSimpleName(), name);
        Tidder _t = new Tidder(name, new Text(raw));
        _t.key(k);
        pm.makePersistent(_t);
        pm.flush();
	}
}
