package com.tidspr.tsr.security;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import com.tidspr.tsr.factory.URCF;


public class Logout extends HttpServlet
{
	private static final long serialVersionUID = 1L;

	@Override
    public void doGet(final HttpServletRequest req, final HttpServletResponse res)
    {
        res.setContentType("text/html");
        res.setCharacterEncoding("UTF-8");
    	HttpSession session = req.getSession(true);
        String id = (String)session.getAttribute("id");
    	if (id != null && !id.isEmpty()) {
    		session.invalidate();
    		String url = req.getParameter("redirect");
    		try {
    			 if ((url == null) || (url.isEmpty())) res.sendRedirect("/");
    			 else res.sendRedirect(URCF.encode(url));
			} catch (IOException e) {
				e.printStackTrace();
			}
    	}else {
    		String url = req.getParameter("redirect");
    		if ((url == null) || (url.isEmpty())) {
                try {
        			final PrintWriter out = res.getWriter();
        			out.write("<html><head></head><body><div style='padding:20px;'><p>you are already logged out.</p><br/><br/><a href='/'>&nbsp;&nbsp;back to home</a></div></body></html>");
        		} catch (IOException e) {
        			e.printStackTrace();
        		}
        		return;
    		}
    		try {
    			session.invalidate();
				res.sendRedirect(URCF.encode(url));
			} catch (IOException e) {
				e.printStackTrace();
			}
    	}
    }
}
