package com.tidspr.tsr.toolbox;

import java.text.SimpleDateFormat;
import java.util.regex.Pattern;


public enum Miscellaneous {
	INSTANCE;
	public SimpleDateFormat defsdf = new SimpleDateFormat("yyyyMMddHHmmssSSS");
	public SimpleDateFormat humsdf = new SimpleDateFormat("yyyyMMddHHmmss");
	
	public Pattern pIncludes = Pattern.compile("<\\!\\-\\-\\[inq\\[([\\s\\S]*?)\\]\\]\\-\\->");
	
    public String htmlDecode(final String s)
    {
        return s.replace("&lt;", "<").replace("&gt;", ">").replace("&quot;", "\"").replace("&amp;", "&");
    }
    
	public String htmlEncode(final String s)
	{
	    return s.replace("&", "&amp;").replace("<", "&lt;").replace(">", "&gt;").replace("\"", "&quot;");
	}
    
    public String sqliteEscape(String s){
    	return s.replace("'", "''");
    }
}
