package com.tidspr.tsr;

import java.io.File;
import java.io.IOException;
import java.io.PrintWriter;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.List;

import javax.jdo.PersistenceManager;
import javax.jdo.Query;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.tidspr.tsr.entity.Tidder;
import com.tidspr.tsr.factory.PMF;
import com.tidspr.tsr.toolbox.Miscellaneous;

public class Recent extends HttpServlet
{
    @SuppressWarnings("unchecked")
	@Override
    public void doGet(final HttpServletRequest req, final HttpServletResponse res)
    {
    	 final PersistenceManager pm = PMF.get().getPersistenceManager();
         final String query = "select from " + Tidder.class.getName();
         final Query que = pm.newQuery(query);
         que.setOrdering("date descending");
         que.setRange(0, 16);
         final List<Tidder> list = (List<Tidder>) que.execute();
         try
         {
             res.setContentType("text/html");
             res.setCharacterEncoding("UTF-8");
             final PrintWriter out = res.getWriter();
             out.write("<ul id='recent'>");
             for (final Tidder t : list)
             {
            	 cal.setTime(t.date());
                 out.write("<li timestamp='"+Miscellaneous.INSTANCE.humsdf.format(t.date())+"'><a href=\"/wiki/"+t.name()+"\"><div class='timestamp'><span class='month'>" + MONTH[cal.get(Calendar.MONTH)] + "</span><span class='date'>" + cal.get(Calendar.DAY_OF_MONTH) + "</span></div><span class='wiki'>" + t.name()+ "</span></a></li>");
             }
             out.write("</ul>");
         }
         catch (final IOException e)
         {
             e.printStackTrace();
         }
    }
    
    
    private Calendar cal = new GregorianCalendar();
    private static String[] MONTH = new String[]{"Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"};
}
