package com.tidspr.tsr;


import java.io.IOException;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.tidspr.tsr.entity.Admin;
import com.tidspr.tsr.entity.Site;
import com.tidspr.tsr.io.AdminIO;
import com.tidspr.tsr.io.SiteIO;

public class RootHandler extends HttpServlet
{
    @Override
    public void doGet(final HttpServletRequest req, final HttpServletResponse res)
    {
    	Admin _admin = AdminIO.readAdmin();
    	if(_admin == null){
    		try {
				res.sendRedirect("/initializer");
			} catch (IOException e) {
				e.printStackTrace();
			}
    		return;
    	}
    	Site _site = SiteIO.readSite();
    	new Wiki().wiki(req, res, _site.siteName());
    }
}
