package com.tidspr.tsr.io;

import javax.jdo.JDOObjectNotFoundException;
import javax.jdo.PersistenceManager;

import com.google.appengine.api.datastore.Key;
import com.google.appengine.api.datastore.KeyFactory;
import com.tidspr.tsr.entity.Admin;
import com.tidspr.tsr.factory.PMF;

public class AdminIO {
	private static final long serialVersionUID = 1L;
	
	public static Admin readAdmin(){
        final PersistenceManager pm = PMF.get().getPersistenceManager();
        com.tidspr.tsr.entity.Admin _admin;
        final Key k = KeyFactory.createKey(Admin.class.getSimpleName(), "administrator");
        try
        {// swith with try~catch. not proper
            _admin = pm.getObjectById(com.tidspr.tsr.entity.Admin.class, k);
        }
        catch (final JDOObjectNotFoundException e)
        {
            _admin = null;
        }
        return _admin;
	}
	
	public static void writeAdmin(String id, String password){
        final PersistenceManager pm = PMF.get().getPersistenceManager();
        final Key k = KeyFactory.createKey(Admin.class.getSimpleName(), "administrator");
        Admin _admin = new Admin(id, password);
        _admin.key(k);
        pm.makePersistent(_admin);
        pm.flush();
	}
}
